Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.xmldb
Class LocalXUpdateQueryService

    java.lang.Object
      org.exist.xmldb.LocalXUpdateQueryService

All Implemented Interfaces:
  Configurable, Service, XUpdateQueryService

public class LocalXUpdateQueryService
extends java.lang.Object
implements XUpdateQueryService

LocalXUpdateQueryService.java

Author:
  Wolfgang Meier

Field Summary

Fields inherited from interface org.xmldb.api.modules.XUpdateQueryService
`SERVICE_NAME`

Constructor Summary
`LocalXUpdateQueryService(User user, BrokerPool pool, LocalCollection parent)` Constructor for LocalXUpdateQueryService.

Method Summary
`java.lang.String` | `getName()` Returns the name associated with the Service instance.
`java.lang.String` | `getProperty(java.lang.String arg0)` Returns the value of the property identified by `name`.
`java.lang.String` | `getVersion()` Gets the Version attribute of the Service object
`void` | `setCollection(Collection arg0)` Sets the Collection attribute of the Service object
`void` | `setProperty(java.lang.String arg0, java.lang.String arg1)` Sets the property `name` to have the value provided in `value`.
`long` | `update(java.lang.String arg1)` * @see org.xmldb.api.modules.XUpdateQueryService#update(java.lang.String)
`long` | `updateResource(java.lang.String resource, java.lang.String xupdate)` Runs a set of XUpdate operations against a resource stored in a collection.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalXUpdateQueryService

    public LocalXUpdateQueryService(User user,
                                    BrokerPool pool,
                                    LocalCollection parent)

  Constructor for LocalXUpdateQueryService.

Method Detail

### updateResource

    public long updateResource(java.lang.String resource,
                               java.lang.String xupdate)
                        throws XMLDBException

  Description copied from interface: `XUpdateQueryService`
  Runs a set of XUpdate operations against a resource stored in a collection. The resource will be updated in place in the collection.

  Specified by:
    `updateResource` in interface `XUpdateQueryService`
  Parameters:
    `xupdate` - The XUpdate commands to use.
  Returns:
    the number of modified nodes.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.
  See Also:
    `XUpdateQueryService.updateResource(java.lang.String, java.lang.String)`

### update

    public long update(java.lang.String arg1)
                throws XMLDBException

  * @see org.xmldb.api.modules.XUpdateQueryService#update(java.lang.String)

  Specified by:
    `update` in interface `XUpdateQueryService`
  Parameters:
    `arg1` - The XUpdate commands to use.
  Returns:
    the number of modified nodes.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### getName

    public java.lang.String getName()
                             throws XMLDBException

  Description copied from interface: `Service`
  Returns the name associated with the Service instance.

  Specified by:
    `getName` in interface `Service`
  Returns:
    the name of the object.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.
  See Also:
    `Service.getName()`

### getVersion

    public java.lang.String getVersion()
                                throws XMLDBException

  Description copied from interface: `Service`
  Gets the Version attribute of the Service object

  Specified by:
    `getVersion` in interface `Service`
  Returns:
    The Version value
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.
  See Also:
    `Service.getVersion()`

### setCollection

    public void setCollection(Collection arg0)
                       throws XMLDBException

  Description copied from interface: `Service`
  Sets the Collection attribute of the Service object

  Specified by:
    `setCollection` in interface `Service`
  Parameters:
    `arg0` - The new Collection value
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.
  See Also:
    `Service.setCollection(org.xmldb.api.base.Collection)`

### getProperty

    public java.lang.String getProperty(java.lang.String arg0)
                                 throws XMLDBException

  Description copied from interface: `Configurable`
  Returns the value of the property identified by `name`.

  Specified by:
    `getProperty` in interface `Configurable`
  Parameters:
    `arg0` - the name of the property to retrieve.
  Returns:
    the property value or null if no property exists.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.
  See Also:
    `Configurable.getProperty(java.lang.String)`

### setProperty

    public void setProperty(java.lang.String arg0,
                            java.lang.String arg1)
                     throws XMLDBException

  Description copied from interface: `Configurable`
  Sets the property `name` to have the value provided in `value`.

  Specified by:
    `setProperty` in interface `Configurable`
  Parameters:
    `arg0` - the name of the property to set.
    `arg1` - the value to set for the property.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.
  See Also:
    `Configurable.setProperty(java.lang.String, java.lang.String)`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.